## plasma-systemmonitor 5.20.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(systemmonitor VERSION 5.19.0)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.66.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick Widgets DBus)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Declarative Service GlobalAccel KIO DBusAddons NewStuff)
find_package(KSysGuard REQUIRED)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

add_subdirectory(src)

install(PROGRAMS org.kde.plasma-systemmonitor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
add_subdirectory(page)
add_subdirectory(table)
add_subdirectory(faces)

set(plasma-systemmonitor_SRCS
    main.cpp
    ToolsModel.cpp
    Configuration.cpp
)

qt5_add_resources(plasma-systemmonitor_QRC systemmonitor.qrc)

kconfig_add_kcfg_files(plasma-systemmonitor_SRCS GENERATE_MOC systemmonitor.kcfgc)

add_definitions(-DQT_NO_KEYWORDS)

add_executable(plasma-systemmonitor ${plasma-systemmonitor_SRCS} ${plasma-systemmonitor_QRC})
target_link_libraries(plasma-systemmonitor
    Qt5::Quick
    Qt5::Widgets
    Qt5::DBus
    KF5::I18n
    KF5::ConfigGui
    KF5::Declarative
    KF5::Service
    KF5::KIOGui
    KF5::GlobalAccel
    KF5::DBusAddons
)

install(TARGETS plasma-systemmonitor DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES systemmonitor.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES plasma-systemmonitor.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

install(FILES
    pages/applications.page
    pages/history.page
    pages/overview.page
    pages/processes.page
    DESTINATION ${KDE_INSTALL_DATADIR}/plasma-systemmonitor
)

=== src/page/CMakeLists.txt ===

set(page_SRCS
    PageDataModel.cpp
    PageDataObject.cpp
    PagePlugin.cpp
    PagesModel.cpp
    FaceLoader.cpp
    PageSortModel.cpp
    FacesModel.cpp
    WidgetExporter.cpp
)

set(page_QML
    ColumnControl.qml
    Container.qml
    EditablePage.qml
    PageContents.qml
    PageEditor.qml
    PlaceholderRectangle.qml
    RowControl.qml
    SectionControl.qml
    PageDialog.qml
    EditablePageAction.qml
    FaceControl.qml
    FaceConfigurationPage.qml
    LoadPresetDialog.qml
    EditorToolBar.qml
    MoveButton.qml
    PageSortDialog.qml
)

add_library(PagePlugin SHARED ${page_SRCS})
target_link_libraries(PagePlugin Qt5::DBus Qt5::Quick KF5::ConfigCore KF5::I18n KF5::NewStuff KSysGuard::Sensors KSysGuard::SensorFaces)

install(TARGETS PagePlugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ksysguard/page)
install(FILES qmldir ${page_QML} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ksysguard/page)

=== src/table/CMakeLists.txt ===
set(table_SRCS
    TablePlugin.cpp
    ColumnDisplayModel.cpp
    ColumnSortModel.cpp
    ComponentCacheProxyModel.cpp
    ProcessSortFilterModel.cpp
)

set(table_QML
    BaseTableView.qml
    BasicCellDelegate.qml
    CellBackground.qml
    ColumnConfigurationDialog.qml
    FirstCellDelegate.qml
    LineChartCellDelegate.qml
    TableViewHeader.qml
    UserCellDelegate.qml
    KillDialog.qml
)

add_library(TablePlugin SHARED ${table_SRCS})
target_link_libraries(TablePlugin Qt5::Quick KSysGuard::Sensors KSysGuard::ProcessCore KF5::CoreAddons)

install(TARGETS TablePlugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ksysguard/table)
install(FILES qmldir ${table_QML} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ksysguard/table)

=== debian/changelog ===
plasma-systemmonitor (5.20.0-4) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:38 +0900

plasma-systemmonitor (5.20.0-3) experimental; urgency=medium

  * Fix FTBFS due to incorrect version.
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 20:37:53 +0900

plasma-systemmonitor (5.20.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Fix incorrect version number for some qml modules.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Dec 2020 21:38:42 +0100

plasma-systemmonitor (5.20.0-1) experimental; urgency=medium

  * Initial release. (Closes: #975598)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 09 Dec 2020 09:28:58 +0100

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.10~),
               debhelper-compat (= 13),
               libkf5config-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5globalaccel-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5newstuff-dev (>= 5.66.0~),
               libkf5service-dev (>= 5.66.0~),
               libkf5sysguard-dev (>= 4:5.20~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: qml-module-org-kde-kcoreaddons (>= 5.66.0~),
         qml-module-org-kde-kirigami2 (>= 5.66.0~),
         qml-module-org-kde-kitemmodels (>= 5.66.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.66.0~),
         qml-module-org-kde-ksysguard,
         qml-module-org-kde-newstuff (>= 5.66.0~),
         qml-module-org-kde-qqc2desktopstyle (>= 5.66.0~),
         qml-module-org-kde-quickcharts (>= 5.66.0~),
         qml-module-qt-labs-platform (>= 5.15.0~),
         qml-module-qt-labs-qmlmodels (>= 5.15.0~),
         qml-module-qtqml (>= 5.15.0~),
         qml-module-qtqml-models2 (>= 5.15.0~),
         qml-module-qtquick2 (>= 5.15.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         qml-module-qtquick-window2 (>= 5.15.0~),
         ${shlibs:Depends},
         ${misc:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@-([\d.]+)\.tar\.xz

## plasma-systemmonitor 5.21.4

=== debian/changelog ===
plasma-systemmonitor (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:55 +0100

plasma-systemmonitor (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:35:24 +0000

plasma-systemmonitor (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:51 +0000

plasma-systemmonitor (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:07:24 +0000

plasma-systemmonitor (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)
  * New build dep on libkf5itemmodels-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:08 +0000

plasma-systemmonitor (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Add Depends: ksysguard (>= 4:5.20.90), as plasma-systemmonitor
    requires the ksystemstats daemon currently shipped in ksysguard.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:46:06 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                libkf5declarative-dev (>= 5.66.0~),
                libkf5globalaccel-dev (>= 5.66.0~),
                libkf5i18n-dev (>= 5.66.0~),
+               libkf5itemmodels-dev (>= 5.66.0~),
                libkf5kio-dev (>= 5.66.0~),
                libkf5newstuff-dev (>= 5.66.0~),
                libkf5service-dev (>= 5.66.0~),
-               libkf5sysguard-dev (>= 4:5.20~),
+               libkf5sysguard-dev (>= 4:5.21.4~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
@@ -26,7 +27,8 @@
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: qml-module-org-kde-kcoreaddons (>= 5.66.0~),
+Depends: ksysguard (>= 4:5.20.90),
+         qml-module-org-kde-kcoreaddons (>= 5.66.0~),
          qml-module-org-kde-kirigami2 (>= 5.66.0~),
          qml-module-org-kde-kitemmodels (>= 5.66.0~),
          qml-module-org-kde-kquickcontrolsaddons (>= 5.66.0~),

## plasma-systemmonitor 5.22.5

=== debian/changelog ===
plasma-systemmonitor (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:50:28 +0200

plasma-systemmonitor (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:44:17 +0100

plasma-systemmonitor (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:07:49 +0100

plasma-systemmonitor (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:56:11 +0100

plasma-systemmonitor (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:59:21 +0100

plasma-systemmonitor (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:11:47 +0100

plasma-systemmonitor (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * Runtime depend on new ksystemstats instead of ksysguard.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:54:34 +0100

plasma-systemmonitor (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:03:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.10~),
                debhelper-compat (= 13),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5itemmodels-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5newstuff-dev (>= 5.66.0~),
-               libkf5service-dev (>= 5.66.0~),
-               libkf5sysguard-dev (>= 4:5.21.4~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5globalaccel-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5itemmodels-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5newstuff-dev (>= 5.82.0~),
+               libkf5service-dev (>= 5.82.0~),
+               libkf5sysguard-dev (>= 4:5.22.5~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
@@ -27,7 +27,7 @@
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksysguard (>= 4:5.20.90),
+Depends: ksystemstats,
          qml-module-org-kde-kcoreaddons (>= 5.66.0~),
          qml-module-org-kde-kirigami2 (>= 5.66.0~),
          qml-module-org-kde-kitemmodels (>= 5.66.0~),

## plasma-systemmonitor 5.24.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(systemmonitor)

set(PROJECT_VERSION "5.24.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.86")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMInstallIcons)
include(ECMQMLModules)
include(FeatureSummary)
include(KDEGitCommitHooks)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick Widgets DBus)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Declarative Service GlobalAccel KIO DBusAddons NewStuffQuick ItemModels)
find_package(KSysGuard ${PROJECT_VERSION})
set_package_properties(KSysGuard PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "The libksysguard collection of libraries"
    URL https://invent.kde.org/plasma/libksysguard
)
find_package(KSystemStats)
set_package_properties(KSystemStats PROPERTIES
    TYPE RUNTIME
    PURPOSE "Daemon providing system statistics"
    URL https://invent.kde.org/plasma/ksystemstats
)
find_package(Qt5QuickControls2  ${QT_MIN_VERSION})
set_package_properties(Qt5QuickControls2 PROPERTIES
    TYPE RUNTIME
)
find_package(KF5Kirigami2  ${KF5_MIN_VERSION})
set_package_properties(KF5Kirigami2 PROPERTIES
    TYPE RUNTIME
)
ecm_find_qmlmodule(Qt.labs.qmlmodels 1.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

add_subdirectory(src)

install(PROGRAMS org.kde.plasma-systemmonitor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES kcm_external_plasma-systemmonitor.desktop DESTINATION ${KDE_INSTALL_DATADIR}/plasma/kinfocenter/externalmodules)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,9 @@
 set(plasma-systemmonitor_SRCS
     main.cpp
     ToolsModel.cpp
+    ToolsModel.h
     Configuration.cpp
+    Configuration.h
 )
 
 qt5_add_resources(plasma-systemmonitor_QRC systemmonitor.qrc)
@@ -15,10 +17,11 @@
 add_definitions(-DQT_NO_KEYWORDS)
 
 add_executable(plasma-systemmonitor ${plasma-systemmonitor_SRCS} ${plasma-systemmonitor_QRC})
+target_compile_definitions(plasma-systemmonitor PRIVATE PROJECT_VERSION="${PROJECT_VERSION}")
 target_link_libraries(plasma-systemmonitor
-    Qt5::Quick
-    Qt5::Widgets
-    Qt5::DBus
+    Qt::Quick
+    Qt::Widgets
+    Qt::DBus
     KF5::I18n
     KF5::ConfigGui
     KF5::Declarative
@@ -26,6 +29,7 @@
     KF5::KIOGui
     KF5::GlobalAccel
     KF5::DBusAddons
+    KF5::QuickAddons
 )
 
 install(TARGETS plasma-systemmonitor DESTINATION ${KDE_INSTALL_BINDIR})

=== debian/changelog ===
plasma-systemmonitor (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:21:42 +0100

plasma-systemmonitor (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:16:09 +0000

plasma-systemmonitor (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:03:15 +0000

plasma-systemmonitor (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:22:38 +0000

plasma-systemmonitor (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:28:51 +0000

plasma-systemmonitor (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:20:20 +0000

plasma-systemmonitor (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:42:05 +0000

plasma-systemmonitor (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:58:13 +0000

plasma-systemmonitor (5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:18:56 +0000

plasma-systemmonitor (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:42:14 +0900

plasma-systemmonitor (5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Add ksystemstats to deps.
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:04 +0900

plasma-systemmonitor (5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Tighten build-dependencies.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Oct 2021 23:03:15 +0200

plasma-systemmonitor (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:16 +0900

plasma-systemmonitor (5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:25:09 +0200

plasma-systemmonitor (5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).
  * Tighten inter-plasma B-Ds.
  * Borrow signing-key from plasma-vault.

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 18:45:24 +0200

plasma-systemmonitor (5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).
  * Tighten inter-plasma B-Ds.
  * Add myself to uploaders.

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 20:22:10 +0200

plasma-systemmonitor (5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).
  * Tighten inter-plasma dependencies.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:42 +0900

plasma-systemmonitor (5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).
  * Tigthen inter-plasma B-Ds.

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:50 +0900

plasma-systemmonitor (5.21.1-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Tigthen inter-plasma build-depends.

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Feb 2021 06:31:21 +0900

plasma-systemmonitor (5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:40 +0900

plasma-systemmonitor (5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update watch file.
  * Update build dependencies.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 10:42:26 +0900

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5globalaccel-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5itemmodels-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               libkf5sysguard-dev (>= 4:5.24.4~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: ksystemstats (>= 5.23.0~),
         qml-module-org-kde-kcoreaddons (>= 5.78.0~),
         qml-module-org-kde-kirigami2 (>= 5.78.0~),
         qml-module-org-kde-kitemmodels (>= 5.78.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.78.0~),
         qml-module-org-kde-ksysguard,
         qml-module-org-kde-newstuff (>= 5.78.0~),
         qml-module-org-kde-qqc2desktopstyle (>= 5.78.0~),
         qml-module-org-kde-quickcharts (>= 5.78.0~),
         qml-module-qt-labs-platform (>= 5.15.0~),
         qml-module-qt-labs-qmlmodels (>= 5.15.0~),
         qml-module-qtqml (>= 5.15.0~),
         qml-module-qtqml-models2 (>= 5.15.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         qml-module-qtquick-window2 (>= 5.15.0~),
         qml-module-qtquick2 (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

## plasma-systemmonitor 5.25.5

=== debian/changelog ===
plasma-systemmonitor (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:33:31 +0100

plasma-systemmonitor (5.25.4-1ubuntu1) kinetic; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 11:28:03 +0100

plasma-systemmonitor (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:34:10 +0200

plasma-systemmonitor (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Add lintian override for plasma-systemmonitor having no manpage.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:29:01 +0200

plasma-systemmonitor (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:52 +0200

plasma-systemmonitor (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten cross-plasma components dependencies.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:52 +0200

plasma-systemmonitor (5.24.90-2) experimental; urgency=medium

  * Tighten build dependency to libkf5sysguard-dev (>= 4:5.24.90~).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 31 May 2022 22:16:59 +0200

plasma-systemmonitor (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:45:56 +0200

plasma-systemmonitor (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:23 +0200

plasma-systemmonitor (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:03:57 +0200

plasma-systemmonitor (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 20:37:54 +0100

plasma-systemmonitor (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:59:43 +0100

plasma-systemmonitor (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 17:22:30 +0100

plasma-systemmonitor (5.23.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add explicit dependencies for qml-module-qtquick-dialogs and qml-
    module-org-kde-kcm (Closes: #1000976).

 -- Patrick Franz <deltaone@debian.org>  Wed, 08 Dec 2021 09:51:47 +0100

plasma-systemmonitor (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 21:58:56 +0100

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               libkf5config-dev (>= 5.94~),
               libkf5dbusaddons-dev (>= 5.94~),
               libkf5declarative-dev (>= 5.94~),
               libkf5globalaccel-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5itemmodels-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5newstuff-dev (>= 5.94~),
               libkf5service-dev (>= 5.94~),
               libkf5sysguard-dev (>= 4:5.25.5~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: ksystemstats (>= 5.25.1~),
         qml-module-org-kde-kcm  (>= 5.15.0~),
         qml-module-org-kde-kcoreaddons (>= 5.86.0~),
         qml-module-org-kde-kirigami2 (>= 5.86.0~),
         qml-module-org-kde-kitemmodels (>= 5.86.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.86.0~),
         qml-module-org-kde-ksysguard,
         qml-module-org-kde-newstuff (>= 5.86.0~),
         qml-module-org-kde-qqc2desktopstyle (>= 5.86.0~),
         qml-module-org-kde-quickcharts (>= 5.86.0~),
         qml-module-qt-labs-platform (>= 5.15.0~),
         qml-module-qt-labs-qmlmodels (>= 5.15.0~),
         qml-module-qtqml (>= 5.15.0~),
         qml-module-qtqml-models2 (>= 5.15.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-dialogs  (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         qml-module-qtquick-window2 (>= 5.15.0~),
         qml-module-qtquick2 (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

## plasma-systemmonitor 5.26.4

=== debian/changelog ===
plasma-systemmonitor (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:06:25 +0100

plasma-systemmonitor (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:46:30 +0100

plasma-systemmonitor (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.26.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:35:26 +0200

plasma-systemmonitor (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:22 +0200

plasma-systemmonitor (5.25.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Oct 2022 11:47:07 +0200

plasma-systemmonitor (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:25 +0200

plasma-systemmonitor (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:22:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,36 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
-               libkf5config-dev (>= 5.94~),
-               libkf5dbusaddons-dev (>= 5.94~),
-               libkf5declarative-dev (>= 5.94~),
-               libkf5globalaccel-dev (>= 5.94~),
-               libkf5i18n-dev (>= 5.94~),
-               libkf5itemmodels-dev (>= 5.94~),
-               libkf5kio-dev (>= 5.94~),
-               libkf5newstuff-dev (>= 5.94~),
-               libkf5service-dev (>= 5.94~),
-               libkf5sysguard-dev (>= 4:5.25.5~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5declarative-dev (>= 5.98.0~),
+               libkf5globalaccel-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5itemmodels-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5newstuff-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5sysguard-dev (>= 4:5.26.4~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
 Rules-Requires-Root: no
 
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksystemstats (>= 5.25.1~),
+Depends: ksystemstats (>= 5.25.90~),
          qml-module-org-kde-kcm  (>= 5.15.0~),
          qml-module-org-kde-kcoreaddons (>= 5.86.0~),
          qml-module-org-kde-kirigami2 (>= 5.86.0~),

## plasma-systemmonitor 5.27.2

=== debian/changelog ===
plasma-systemmonitor (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.27.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:00:59 +0100

plasma-systemmonitor (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:45 +0100

plasma-systemmonitor (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update cross-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:57 +0100

plasma-systemmonitor (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:10 +0100

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5dbusaddons-dev (>= 5.98.0~),
-               libkf5declarative-dev (>= 5.98.0~),
-               libkf5globalaccel-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5itemmodels-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5newstuff-dev (>= 5.98.0~),
-               libkf5service-dev (>= 5.98.0~),
-               libkf5sysguard-dev (>= 4:5.26.4~),
+               extra-cmake-modules (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5globalaccel-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5itemmodels-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
+               libkf5newstuff-dev (>= 5.102.0~),
+               libkf5service-dev (>= 5.102.0~),
+               libkf5sysguard-dev (>= 4:5.27.2~),
+               libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
@@ -30,7 +31,7 @@
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksystemstats (>= 5.25.90~),
+Depends: ksystemstats (>= 5.26.70~),
          qml-module-org-kde-kcm  (>= 5.15.0~),
          qml-module-org-kde-kcoreaddons (>= 5.86.0~),
          qml-module-org-kde-kirigami2 (>= 5.86.0~),

## plasma-systemmonitor 5.27.3

=== debian/changelog ===
plasma-systemmonitor (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:18:19 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5kio-dev (>= 5.102.0~),
                libkf5newstuff-dev (>= 5.102.0~),
                libkf5service-dev (>= 5.102.0~),
-               libkf5sysguard-dev (>= 4:5.27.2~),
+               libkf5sysguard-dev (>= 4:5.27.3~),
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
@@ -31,7 +31,7 @@
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksystemstats (>= 5.26.70~),
+Depends: ksystemstats (>= 5.27.3~),
          qml-module-org-kde-kcm  (>= 5.15.0~),
          qml-module-org-kde-kcoreaddons (>= 5.86.0~),
          qml-module-org-kde-kirigami2 (>= 5.86.0~),

## plasma-systemmonitor 5.27.4

=== debian/changelog ===
plasma-systemmonitor (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:39:21 +0100

plasma-systemmonitor (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:19:53 +0000

plasma-systemmonitor (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:24:35 +0000

plasma-systemmonitor (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:48:17 +0000

plasma-systemmonitor (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:42:20 +0000

plasma-systemmonitor (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:31:17 +0000

plasma-systemmonitor (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:19:51 +0000

plasma-systemmonitor (5.26.4-1ubuntu1) lunar; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Dec 2022 11:13:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -17,21 +18,20 @@
                libkf5kio-dev (>= 5.102.0~),
                libkf5newstuff-dev (>= 5.102.0~),
                libkf5service-dev (>= 5.102.0~),
-               libkf5sysguard-dev (>= 4:5.27.3~),
-               libkf5windowsystem-dev (>= 5.102.0~),
+               libkf5sysguard-dev (>= 4:5.27.4~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
 Rules-Requires-Root: no
 
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksystemstats (>= 5.27.3~),
+Depends: ksystemstats (>= 5.25.90~),
          qml-module-org-kde-kcm  (>= 5.15.0~),
          qml-module-org-kde-kcoreaddons (>= 5.86.0~),
          qml-module-org-kde-kirigami2 (>= 5.86.0~),

## plasma-systemmonitor 5.27.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(systemmonitor)

set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMInstallIcons)
include(ECMFindQmlModule)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick Widgets DBus)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Declarative Service GlobalAccel KIO DBusAddons NewStuffQuick ItemModels WindowSystem)
find_package(KSysGuard ${PROJECT_VERSION})
set_package_properties(KSysGuard PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "The libksysguard collection of libraries"
    URL https://invent.kde.org/plasma/libksysguard
)
find_package(KSystemStats)
set_package_properties(KSystemStats PROPERTIES
    TYPE RUNTIME
    PURPOSE "Daemon providing system statistics"
    URL https://invent.kde.org/plasma/ksystemstats
)
find_package(Qt${QT_MAJOR_VERSION}QuickControls2  ${QT_MIN_VERSION})
set_package_properties(Qt${QT_MAJOR_VERSION}QuickControls2 PROPERTIES
    TYPE RUNTIME
)
find_package(KF5Kirigami2  ${KF5_MIN_VERSION})
set_package_properties(KF5Kirigami2 PROPERTIES
    TYPE RUNTIME
)
ecm_find_qmlmodule(Qt.labs.qmlmodels 1.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

add_subdirectory(src)

install(PROGRAMS org.kde.plasma-systemmonitor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasma-systemmonitor.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kcm_external_plasma-systemmonitor.desktop DESTINATION ${KDE_INSTALL_DATADIR}/plasma/kinfocenter/externalmodules)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-systemmonitor (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:45 +0200

plasma-systemmonitor (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:27:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -18,20 +17,21 @@
                libkf5kio-dev (>= 5.102.0~),
                libkf5newstuff-dev (>= 5.102.0~),
                libkf5service-dev (>= 5.102.0~),
-               libkf5sysguard-dev (>= 4:5.27.4~),
+               libkf5sysguard-dev (>= 4:5.27.5~),
+               libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
 Rules-Requires-Root: no
 
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksystemstats (>= 5.25.90~),
+Depends: ksystemstats (>= 5.27.5~),
          qml-module-org-kde-kcm  (>= 5.15.0~),
          qml-module-org-kde-kcoreaddons (>= 5.86.0~),
          qml-module-org-kde-kirigami2 (>= 5.86.0~),

## plasma-systemmonitor 5.27.7

=== debian/changelog ===
plasma-systemmonitor (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:54:47 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5kio-dev (>= 5.102.0~),
                libkf5newstuff-dev (>= 5.102.0~),
                libkf5service-dev (>= 5.102.0~),
-               libkf5sysguard-dev (>= 4:5.27.5~),
+               libkf5sysguard-dev (>= 4:5.27.7~),
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
@@ -31,7 +31,7 @@
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksystemstats (>= 5.27.5~),
+Depends: ksystemstats (>= 5.27.7~),
          qml-module-org-kde-kcm  (>= 5.15.0~),
          qml-module-org-kde-kcoreaddons (>= 5.86.0~),
          qml-module-org-kde-kirigami2 (>= 5.86.0~),
